package cases

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"
)

// GetConfByCase 获取配置信息
func (m *CaseDAO) GetConfByCase(caseid, conftype string) (*model.SysCaseConf, error) {
	var conf = new(model.SysCaseConf)
	has, err := m.db.Where("case_id=?", caseid).And("conf_type=?", conftype).Get(&conf)
	if err != nil {
		return nil, err
	}
	if !has {
		return nil, err
	}
	return conf, err
}

// SaveCaseConf 保存案场配置信息
func (m *CaseDAO) SaveCaseConf(conf model.SysCaseConf) (*model.SysCaseConf, error) {
	conf.ConfId = utils.GetGUID()
	conf.Status = models.STATUS_READY
	_, err := m.db.Insert(conf)
	return &conf, err
}

// UpdateCaseConf 修改案场配置信息
func (m *CaseDAO) UpdateCaseConf(conf model.SysCaseConf) error {
	cols := []string{
		"status",
	}
	_, err := m.db.Cols(cols...).Where("case_id=?", conf.ConfId).And("conf_type=?", conf.ConfType).Update(conf)
	return err
}
